/**
* Copyright 2007 - 2010 Skyway Software, Inc.
*/
package org.skyway.spring.util.dao.call;

import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.SqlParameter;

public interface VendorTypeHandler {
	public Object transformInputValue(JdbcTemplate jdbcTemplate, SqlParameter sqlParameter, Object value);

	public Object transformOutputValue(JdbcTemplate jdbcTemplate, SqlParameter sqlParameter, Object value, Class<?> type);
}
