/**
* Copyright 2007 - 2010 Skyway Software, Inc.
*/
package org.skyway.spring.util.databinding;

import java.util.Calendar;

import org.springframework.binding.convert.service.DefaultConversionService;

public class EnhancedConversionService extends DefaultConversionService {

	@Override
	protected void addDefaultConverters() {
		super.addDefaultConverters();

		// registers a custom converter reference-able by id and applied when requested	    
		addConverter(new StringToCalendar());

	}
	
	@Override
	protected void addDefaultAliases() {
		super.addDefaultAliases();
		addAlias("calendar", Calendar.class); //$NON-NLS-1$
	}
}
